Subject: [IPP] HP Inc. has reviewed the IPP Finishings 2.1 specification and has comments

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Wed, 7 Dec 2016 18:30:59 +0000

Greetings,

Two comments on Finishings 2.1 for this PWG Last Call:

1. Section 5.3: Add to the definition of "job-pages-per-set" mention that the value for this attribute MUST match "copies" if "copies" is included in the job creation / document submission operation. To elaborate, if the Client sends a Get-Printer-Attributes operation with "document-format" specified, and the Printer responds with "copies-supported" with a an upper range value > 1, then if "job-pages-per-set" is included by the Client, it must match "copies", since the set size is the number of pages in the Job. Here is proposed text:

Old Text:

The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the number of input pages that constitute a set for finishing processes.  The value of "job-pages-per-set" MUST be evenly divisible with the number of Input Pages. See the sections on the "multiple-document-handling" Job Template attribute [RFC2911] for more information on using this attribute with multiple Document Jobs. For example, if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for printing that actually contains two copies of four duplex pages each, the Client could specify a "job-pages-per-set" Job Template attribute with a value of 7, a "sides" attribute with a value of 'two-sided-long-edge', and a "finishings" attribute with a value of 4 (staple) to have the Printer staple two Sets of four sheets. Figure 4 shows a graphical representation of this example.

New Text:

The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the number of input pages that constitute a set for finishing processes.  The value of "job-pages-per-set" MUST be evenly divisible with the number of Input Pages since it is being used to demarcate the length of a single copy. This attribute is only needed if the Printer does not support "copies" for the chosen document format. If the "copies" Job Template attribute is included in the Job Creation operation or Document Submission operation, then either "job-pages-per-set" MUST match "copies" or "job-pages-per-set" MUST NOT be sent. See the sections on the "multiple-document-handling" Job Template attribute [RFC2911] for more information on using this attribute with multiple Document Jobs. 

For example, if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for printing that actually contains two copies of four duplex pages each, the Client could specify a "job-pages-per-set" Job Template attribute with a value of 7, a "sides" attribute with a value of 'two-sided-long-edge', and a "finishings" attribute with a value of 4 (staple) to have the Printer staple two Sets of four sheets. Figure 4 shows a graphical representation of this example.

2. Section 6.9: In the "job-constraints-supported" / "job-resolvers-supported" example on pages 44-45, "media-source-feed-orientation" needs to be changed to be "media-source-feed-direction". The fixed version would be:

job-constraints-supported={
  resolver-name=A
  finishings-col={
    finishing-template='staple-top-left','staple-bottom-right'
  }
  finishings=20,23
  media-col={
    media-source-properties={
      media-source-feed-ordirenctation='long-edge-first'
    }   
  }
}

job-resolvers-supported={
  resolver-name=A
  media-col={
    media-source-properties={
      media-source-feed-ordirenctation='short-edge-first'
    }
  },
  {
    media-source='manual'
  }
}

Thanks to all for their work reviewing and helping with Finishings 2.1,

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp